=== debian/control ===
Source: ocaml-vchan
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libsexplib-camlp4-dev,
 ocaml-evtchn-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libio-page-ocaml-dev,
 camlp4,
 python,
 debhelper (>= 8),
 libgnt-ocaml-dev,
 libxenstore-ocaml-dev,
 camlp4-extra,
 libxenstore-clients-ocaml-dev,
 ocaml-native-compilers,
 libmirage-types-ocaml-dev,
 libipaddr-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib,
 libcmdliner-ocaml-dev

Package: ocaml-vchan
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml implementation of the Xen Vchan protocol
 The Xen Vchan protocol allows high-bandwidth private communication
 channels between VMs over shared memory.

Package: ocaml-vchan-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-vchan (>= 1.0.0-1),
 libio-page-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-vchan
 The ocaml-vchan-devel package contains libraries and signature files
 for developing applications that use ocaml-vchan.
